kind: ConfigMap
apiVersion: v1
metadata:
  name: tower-backend-cfg
  labels:
    app: backend-cfg
data:
  TOWER_SERVER_URL: "https://<seqera_platform_hostname>"
  TOWER_CONTACT_EMAIL: "<system_email_address>"
  TOWER_REDIS_URL: "redis://<redis_host_name>:6379"
  TOWER_DB_URL: "jdbc:mysql://<database_host_name>:3306/tower?permitMysqlScheme=true"
  TOWER_DB_DRIVER: "org.mariadb.jdbc.Driver"
  TOWER_DB_DIALECT: "io.seqera.util.MySQL55DialectCollateBin"
  TOWER_DB_USER: "<db_username>"
  TOWER_DB_PASSWORD: "<db_password>"
  TOWER_SMTP_HOST: "<smtp_host_name>"
  TOWER_SMTP_USER: "<smtp_username>"
  TOWER_SMTP_PASSWORD: "<smtp_password>"
  TOWER_JWT_SECRET: "<jwt_secret>"
  TOWER_CRYPTO_SECRETKEY: "<crypt_secret>"
  TOWER_LICENSE: "<license>"
  TOWER_ENABLE_PLATFORMS: "awsbatch-platform,gls-platform,googlebatch-platform,azbatch-platform,uge-platform,slurm-platform"
  FLYWAY_LOCATIONS: "classpath:db-schema/mysql"
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tower-yml
  labels:
    app: backend-cfg
data:
  tower.yml: |-
